|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectnet.oauth.OAuthMessage
net.oauth.client.OAuthResponseMessage
public class OAuthResponseMessage
An HTTP response, encapsulated as an OAuthMessage.
| Field Summary |
|---|
| Fields inherited from class net.oauth.OAuthMessage |
|---|
AUTH_SCHEME, DELETE, GET, method, POST, PUT, URL |
| Method Summary | |
|---|---|
protected void |
completeParameters()
Finish adding parameters; for example read an HTTP response body and parse parameters from it. |
protected void |
dump(java.util.Map<java.lang.String,java.lang.Object> into)
|
java.io.InputStream |
getBodyAsStream()
Get a stream from which to read the body of the HTTP request or response. |
java.lang.String |
getBodyEncoding()
The character encoding of the body of this message. |
HttpResponseMessage |
getHttpResponse()
|
void |
requireParameters(java.lang.String... names)
Verify that the required parameter names are contained in the actual collection. |
OAuthProblemException |
toOAuthProblemException()
Encapsulate this message as an exception. |
| Methods inherited from class net.oauth.OAuthMessage |
|---|
addParameter, addParameter, addParameters, addRequiredParameters, decodeAuthorization, getAuthorizationHeader, getBodyType, getConsumerKey, getDump, getHeader, getHeaders, getParameter, getParameterMap, getParameters, getSignature, getSignatureMethod, getToken, readAll, readBodyAsString, sign, toHttpRequest, toString, validateMessage |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait |
| Method Detail |
|---|
public HttpResponseMessage getHttpResponse()
public java.io.InputStream getBodyAsStream()
throws java.io.IOException
OAuthMessage
getBodyAsStream in class OAuthMessagejava.io.IOExceptionpublic java.lang.String getBodyEncoding()
OAuthMessage
getBodyEncoding in class OAuthMessage
public void requireParameters(java.lang.String... names)
throws OAuthProblemException,
java.io.IOException
OAuthMessage
requireParameters in class OAuthMessageOAuthProblemException - one or more parameters are absent.
java.io.IOException
public OAuthProblemException toOAuthProblemException()
throws java.io.IOException
java.io.IOException
protected void completeParameters()
throws java.io.IOException
OAuthMessage
completeParameters in class OAuthMessagejava.io.IOException
protected void dump(java.util.Map<java.lang.String,java.lang.Object> into)
throws java.io.IOException
dump in class OAuthMessagejava.io.IOException
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||